#include <bits/stdc++.h>
using namespace std;
int n,k;

int main()
{
    cin>>n>>k;
    int m[n][n];
    int cnt[k]={0};
    int cot[k]={0};
    for(int i=0;i<n;++i)
    {
        for(int j=0;j<n;++j)
        {
            cin>>m[i][j];
            ++cnt[m[i][j]];
        }

}
    cout<<k/2;

}